package com.yd.api.user.service;

import com.yd.api.user.vo.UserVO;
import com.yd.dal.entity.user.AclUser;

import java.util.List;

import org.springframework.stereotype.Service;

@Service("UserService")
public interface UserService {

    int deleteByPrimaryKey(Long id);

    int insert(UserVO record);

    int insertSelective(UserVO record);

    UserVO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(UserVO record);

    int updateByPrimaryKey(UserVO record);
    
    List<UserVO> findByIds(List<Long> userIdList);
}
